KCAPI_KPP_SSGEN(3)

NAME
kcapi_kpp_ssgen - generate a shared secret

SYNOPSIS

int32_t kcapi_kpp_ssgen(struct kcapi_handle * handle, const uint8_t * pubkey, uint32_t pubkeylen, uint8_t * ss, uint32_t sslen, int access);

ARGUMENTS

handle
    [in] cipher handle

pubkey
    [in] public key of peer that shall be used to generate the shared secret with

pubkeylen
    [in] length of the public key buffer

ss
    [out] generated shared secret

sslen
    [in] length of key buffer

access
    [in] kernel access type (KCAPI_ACCESS_HEURISTIC - use internal heuristic for fastest kernel access; KCAPI_ACCESS_VMSPLICE - use vmsplice access; KCAPI_ACCESS_SENDMSG - sendmsg access)

DESCRIPTION

return number of bytes returned by the shared secret generation operation upon success; a negative errno-style error code if an error occurred

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT